package com.moduyun.live.service.impl;

import com.moduyun.live.domain.DomainNameUrl;
import com.moduyun.live.service.DomainNameService;
import com.moduyun.live.utils.CreateUrlUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class DomainNameServiceImpl implements DomainNameService {

    @Autowired
    private DomainNameUrl domainNameUrl;

    @Override
    public Map<String, String> createUrl() {
        String pushDomainName = domainNameUrl.getPushDomainName();
        String pullDomainName = domainNameUrl.getPullDomainName();
        String appName = domainNameUrl.getAppName();
        Long timestamp = domainNameUrl.getTimestamp();
        String streamName = domainNameUrl.getStreamName();
        String pushKey = domainNameUrl.getPushKey();
        String pullKey = domainNameUrl.getPullKey();
        String templateId = domainNameUrl.getTemplateId();
        Map<String, String> map = CreateUrlUtils.createUrl(pushDomainName, pullDomainName,
                appName, timestamp, streamName, pushKey, pullKey, templateId);
        return map;
    }
}
