package com.moduyun.live.controller;

import com.moduyun.live.domain.DomainNameUrl;
import com.moduyun.live.domain.Result;
import com.moduyun.live.service.DomainNameService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/domainName")
public class DomainNameController {

    @Autowired
    private DomainNameService domainNameService;

    /**
     * 获取推拉流地址
     * @return
     */
    @GetMapping("/createUrl")
    public Result createUrl(){
        Map<String, String> map = domainNameService.createUrl();
        return Result.success(200, "地址生成成功", map);
    }
}
